package com.ylx.home.hot.task;

import com.ylx.home.hot.service.HomeHotRecommendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component("hotRankSyncTask")
public class HotRankSyncTask {

    @Resource
    private HomeHotRecommendService homeHotRecommendService;

    public void syncAllHotRank() {
        log.info("全量同步热门排行 Redis ZSet 开始");
        homeHotRecommendService.syncAllHotRank();
        log.info("全量同步热门排行 Redis ZSet 结束");
    }
}
